

<!-- no extend for HTMX responses -->

<!-- no title block  -->

<!-- XXX: it seems that using HTMX breaks bootstrap dropdowns: Preferences menu, Export button :S  -->

{% block content %}
{% load i18n %}

{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% get_current_language as LANGUAGE_CODE %}
{% load currencyfilter %}



<div id="content">
  <div class="row">

    <h3> {% trans "Shelf age" %}: {{ meta.shelf_name }} 
      <span style="box-shadow: 0 -.5rem 0 0 {{ meta.age_color }} inset">
        {{ meta.age_label }} {% trans "months" %}
      </span>
    </h3>
    <div>
      {% for age in meta.AGE_CATEGORIES %}
      <a type="button"
         hx-get="?age={{ age.id }}&shelf_id={{ meta.shelf_id }}"
         hx-target="#content"
         hx-push-url="true"
         style="background-color: {{ age.color }}"
         class="badge badge-primary"> {{ age.label }} {% trans "months" %}
      </a>
      {% endfor %}
    </div>

    {% include "search/includes/pagination.html" with meta=meta %}

    <div  class="row">
      <div class="col-lg-12">
        <!-- Adapted from history: -->
        {% if cards %}
        <table class="table table-condensed" x-data="{ open: false }">
          <thead>
            <th>
              <button @click="open = ! open" title="{% trans "Hide and show covers (d)" %}" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-th-list"></i>
            </th>
            <th>{% trans "Title" %}</th>
            <th>{% trans "Last sold date" %}</th>
            <th>{% trans "Publisher" %}</th>
            <th>{% trans "Supplier" %}</th>
            <th class="text-right">{% trans "Quantity" %} </th>
            <th>
              <!-- bill button -->
            </th>
            <th>
              <!-- quantity in stock -->
            </th>

          </thead>

          {% for card in cards %}
          <tr style="background-color: {{ bg_color }}">

            <td>
              <div class="col-md-6" x-show="open" x-cloak>

                <!-- Click to enlarge image. -->
                <a data-toggle="modal"
                    data-target="#enlargeImageModal{{ card.id }}"
	            title="{% trans 'Enlarge image' %}">
                  <img src="{{ card.img }}" class="myImg mouse-pointer"/>
                </a>
              </div>

              <!-- enlargeImageModal ci-dessous: -->
              <div id="enlargeImageModal{{ card.id }}" class="modal">
                {% include "search/modale_enlarge_image.html" %}
              </div>
            </td>

            <td>&nbsp;<a href="{{ card.get_absolute_url }}">{{ card.title }}</a>

              <span style="color: dimgrey;">{{ card.isbn }}</span>

              {% if card.card_type.name and card.card_type.name != 'book' %}
              {% if card.card_type.name != 'Livre' %}
              ({{ card.card_type }})
              {% endif %}
              {% endif %}

            </td>

            <td>
              {{ card.last_soldcard_date }}
            </td>

            <td>{{ card.pubs_repr }}</td>
            <td>{{ card.distributor.name }}</td>

            <td>
              {% if new_sell %}
              <button type="button" class="btn btn-default btn-sm"
                  onclick="sellBill({{ sell_id }})">
                <i class="glyphicon glyphicon-file"> </i>
              </button>
              {% endif %}
            </td>

            <td>
              <span title="{% trans 'En stock' %}"> x{{ card.quantity }} </span>
            </td>

          </tr>

          {% endfor %}
        </table>

        {% else %}
        <div style="padding: 3em">
          {% trans "no data" %}
        </div>
        {% endif %}
      </div>
    </div>

    {% include "search/includes/pagination.html" with meta=meta %}

  </div>
</div>

{% endblock content %}
